org.jbpm.runtime.manager.impl.mapper

## Class InMemoryMapper

- java.lang.Object
- - org.jbpm.runtime.manager.impl.mapper.InternalMapper
  - - org.jbpm.runtime.manager.impl.mapper.InMemoryMapper

- All Implemented Interfaces:
    org.kie.internal.runtime.manager.Mapper

      public class InMemoryMapper
      extends InternalMapper

  An in-memory implementation of the context to `KieSession` identifier mapping. Used only when the `RuntimeManager` is used without persistence.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `findContextId(Long ksessionId, String ownerId)`
    `List<String>` | `findContextIdForEvent(String eventType, String ownerId)`
    `Long` | `findMapping(org.kie.api.runtime.manager.Context<?> context, String ownerId)`
    `boolean` | `hasContext(Long ksessionId)`
    `void` | `removeMapping(org.kie.api.runtime.manager.Context<?> context, String ownerId)`
    `void` | `saveMapping(org.kie.api.runtime.manager.Context<?> context, Long ksessionId, String ownerId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryMapper

          public InMemoryMapper()

  - ### Method Detail

    - #### saveMapping

          public void saveMapping(org.kie.api.runtime.manager.Context<?> context,
                         Long ksessionId,
                         String ownerId)

    - #### findMapping

          public Long findMapping(org.kie.api.runtime.manager.Context<?> context,
                         String ownerId)

    - #### removeMapping

          public void removeMapping(org.kie.api.runtime.manager.Context<?> context,
                           String ownerId)

    - #### findContextId

          public Object findContextId(Long ksessionId,
                             String ownerId)

    - #### hasContext

          public boolean hasContext(Long ksessionId)

    - #### findContextIdForEvent

          public List<String> findContextIdForEvent(String eventType,
                                           String ownerId)

      Specified by:
        `findContextIdForEvent` in class `InternalMapper`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.